Bug 975786 - VM migration fails when required network, configured with migration usages is turned down
VM migration fails when required network, configured with migration usages is...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
high Severity high
: ---
: 3.3.0
Assigned To: Moti Asayag
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 07:02 EDT by GenadiC
Modified: 2016-02-10 14:53 EST (History)
12 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:17:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log of migration problem (14.88 MB, text/x-log)
2013-06-19 07:02 EDT, GenadiC
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19260 None None None Never

  None (edit)
Description GenadiC 2013-06-19 07:02:03 EDT
Created attachment 762869 [details]
vdsm log of migration problem

Description of problem:
Configure required network with migration usages and turn down the NIC, the network resides on.
This action will initiate migration, which will fail as the migration network is down

How reproducible:
Always

Steps to Reproduce:
1.Install VM on Host A
2.Configure network x as required and migration on Host A and Host B
3.Turn down NIC the network x resides on
4.

Actual results:
Migration starts and fails

Expected results:
Migration should succeed

Additional info:
One of the following should be considered as the solution for this case:
1) Rhevm network should be picked for the migration in case of the migration and required network failure (as in case of non-required migration network scenario)

2) Migration should fail, but then the same behaviour should be considered for the migration and non-required network
Comment 1 Dan Kenigsberg 2013-07-04 10:48:18 EDT
As far as I recall, we decided that if the migration network is missing, migration would fall back to the currently-used management network. Isn't it so, Alona?
Comment 2 Dan Kenigsberg 2013-09-09 17:38:04 EDT
Either way, the decision on which network to use and whether to perform migration, is at the hands of Engine, not Vdsm.
Comment 4 Moti Asayag 2013-09-11 05:20:49 EDT
(In reply to Dan Kenigsberg from comment #1)
> As far as I recall, we decided that if the migration network is missing,
> migration would fall back to the currently-used management network. Isn't it
> so, Alona?

I haven't find any specific description of the expected behaviour on the feature page [1] for this case.

However, I don't see any alternative for migration other than using the management network.


[1] http://www.ovirt.org/Features/Migration_Network
Comment 5 GenadiC 2013-09-18 02:53:38 EDT
Verified in IS15
Comment 6 Itamar Heim 2014-01-21 17:17:14 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:23:55 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.